/*
   This program uses the abstract Hat class and its two subclasses
   HatA and HatB. Notice that this program works fine with either
   implementation of the abstract Hat class.
*/

public class UseHat
{
   public static void main(String[] args)
   {
      // notice that this is an array of type Hat
      Hat[] hats = new Hat[5];

      // now put HatA and HatB type objects
      // in the array of type Hat
      hats[0] = new HatA();
      hats[1] = new HatB();
      hats[2] = new HatB(Hat.SMALL, Hat.BEANIE, Hat.BLUE);
      hats[3] = new HatA(Hat.LARGE, Hat.BASEBALL, Hat.RED);
      hats[4] = new HatA(Hat.MEDIUM, 5, Hat.WHITE);

      // loop through the array and print out the hats
      for (int i = 0; i < hats.length; i++)
      {
         System.out.println( hats[i] );
      }
   }//main

}//UseHat