/*
   This class defines an implementation of the
   AbstractHatItem class.

   Notice that this implementation of AbstractHatItem uses
   three data fields, one for each of the attributes of
   a HatItemA object.
*/

public class HatItemA extends AbstractHatItem
{
   // three instance fields
   private int size;
   private int style;
   private int color;

   // default constructor
   public HatItemA()
   {
      this(0, 0, MEDIUM, BASEBALL, WHITE);
   }

   // a full constructor
   public HatItemA(int quantity, double price, int size, int style, int color)
   {
      super(quantity, price);
      this.size = size;
      this.style = style;
      this.color = color;
   }

   public void setSize(int size)
   {
      this.size = size;
   }

   public void setStyle(int style)
   {
      this.style = style;
   }

   public void setColor(int color)
   {
      this.color = color;
   }

   public int getSize()
   {
      return size;
   }

   public int getStyle()
   {
      return style;
   }

   public int getColor()
   {
      return color;
   }

}//HatItemA