/*
   This program uses HatInterface and its two implementations
   HatA and HatB. Notice that this program works fine with either
   implementation of HatInterface.
*/

public class UseHatInterface
{
   public static void main(String[] args)
   {
      // notice that this is an array of type Hat
      HatInterface[] hats = new HatInterface[5];

      // now put HatA and HatB type objects
      // in the array of type Hat
      hats[0] = new HatA();
      hats[1] = new HatB();
      hats[2] = new HatB(HatInterface.SMALL, HatInterface.BEANIE, HatInterface.BLUE);
      hats[3] = new HatA(HatInterface.LARGE, HatInterface.BASEBALL, HatInterface.RED);
      hats[4] = new HatA(HatInterface.MEDIUM, 5, HatInterface.WHITE);

      // loop through the array and print out the hats
      for (int i = 0; i < hats.length; i++)
      {
         System.out.println( hats[i] );
      }
   }//main

}//UseHat